Bug 1489409 - Disassociate Hosts screen is vague
Summary: Disassociate Hosts screen is vague
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Roxanne Hoover
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 11:57 UTC by Stephen Wadeley
Modified: 2019-11-05 23:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:00:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20873 0 Normal Closed "Keep the host for future action" is vague 2020-10-28 00:44:13 UTC

Description Stephen Wadeley 2017-09-07 11:57:55 UTC
Description of problem:

The text in the web UI "keep the host for future action", is vague.

Version-Release number of selected component (if applicable):
Red Hat Satellite (build: 6.3.0)
foreman-compute-1.15.3-2.el7sat.noarch

Steps to Reproduce:
1. navigate to Hosts → All Hosts and select the check box to the left of the hosts to be disassociated.
2. From the Select Action drop-down menu, select the Disassociate Hosts button.

3. Notice that in the confirmation window it says:

    Optionally select to keep the host for future action. 

Notice only one selection box for two hosts (see attached screen capture)


Additional info:

Please explain verbosely how this is supposed to work so we can suggest better screen text.

Thank you

Comment 3 Daniel Lobato Garcia 2017-09-07 13:37:52 UTC
Makes sense to me - I'm cloning it to Foreman upstream. I don't see any reason why this bug should be private.

Comment 4 Daniel Lobato Garcia 2017-09-07 13:40:18 UTC
Created redmine issue http://projects.theforeman.org/issues/20873 from this bug

Comment 6 Marek Hulan 2017-09-13 11:47:28 UTC
Stephen, when you do some bulk action, you need to select one or more hosts on which it will be performed. The mentioned checkbox will keep the selection for next time you perform another bulk action. If you want to disassociate a set of hosts and you know, you will want to assign them to a different organization just afterwards, this saves you some clicks since hosts will remained selected on hosts list page. Please publish this BZ as it does not contain any sensitive information and ideally suggest a better description, we're happy to update it :-)

Comment 7 Stephen Wadeley 2017-09-13 12:49:03 UTC
Thank you Marek for comment 6

I think we should not use the words "keep selected hosts" as we are in the process of disassociating hosts, that is confusing I think. We are not literally keeping the hosts, just the list. So given that, how about:

Remember this selection for the next bulk action.


Thank you

Comment 8 Marek Hulan 2017-09-13 12:57:34 UTC
Thank you, I updated upstream issue with the suggestion.

Comment 9 Satellite Program 2018-01-18 13:23:45 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20873 has been resolved.

Comment 10 Roxanne Hoover 2018-06-22 14:26:19 UTC
Verified in Snap 8

The text has been changed to be less confusing and more reflective of it's actual intent.

Changed to: "Remember hosts selection for the next bulk action"

Comment 11 Bryan Kearney 2018-10-16 19:00:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.